Kepler - Bug #5726

actor names ending in digit renamed on canvas
10/30/2012 12:04 PM - Daniel Crawl

Status: Resolved Start date: 10/30/2012
Priority: Normal Due date:

Assignee: Daniel Crawl % Done: 0%
Category: general Estimated time: 0.00 hour
Target version: biokepler-1.0.0 Spent time: 0.00 hour
Bugzilla-ld: 5726

Description

There are several actors in the biokepler suite with names ending in digits: yn00, run-mummer1, primer3. When they are added to
the canvas, the digit is removed from the name. To fix this, the numbers should not be removed. If there is already an actor with the
same name, then a suffix like _2, 3, etc., could be used.

History

#1 - 11/06/2012 08:32 PM - Christopher Brooks

Is this a duplicate of bug #4049 at
http://bugzilla.ecoinformatics.org/show_bug.cgi?id=4049

See also
https://chess.eecs.berkeley.edu/bugzilla/show_bug.cgi?id=61

#2 - 11/07/2012 09:35 AM - Daniel Crawl

Christopher wrote:

Is this a duplicate of bug #4049 at
http://bugzilla.ecoinformatics.org/show_bug.cgi?id=4049
See also
https://chess.eecs.berkeley.edu/bugzilla/show_bug.cqi?id=61

The fix for https://chess.eecs.berkeley.edu/bugzilla/show_bug.cgi?id=61 was to not remove the trailing underscores. However, trailing digits are
removed. Why this is done? It's not required to generate a unique name.

This is a duplicate of bug #4049 comments 4 and 5, but not 1-3.

#3 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5726

#4 - 07/03/2013 04:52 PM - Daniel Crawl

- Status changed from New to Resolved

| found that if the display name is set and the display name is different from the name, then the ending digits are not removed when the actor is
placed on the canvas. For all the biokepler actors whose names end in a digit, | set the display name and made the name different by appending a
space.
